Bug 845498 - Review Request: cura-networking - CIM providers for network management
Review Request: cura-networking - CIM providers for network management
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 05:09 EDT by Radek Novacek
Modified: 2016-11-30 19:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 05:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jsafrane: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Radek Novacek 2012-08-03 05:09:33 EDT
Spec URL: http://rnovacek.fedorapeople.org/cura-networking.spec
SRPM URL: http://rnovacek.fedorapeople.org/cura-networking-0.0.1-1.fc17.src.rpm
Description: cura-networking is set of CMPI providers for network management using
Common Information Model (CIM).
Fedora Account System Username: rnovacek
Comment 1 Jan Safranek 2012-08-03 06:14:46 EDT
==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     /usr/lib64/cmpi/libcmpiCura_Networking.so is CMPI plugin for Pegasus or SFCB.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "*No copyright* GENERATED FILE", "GPL (v2 or
     later)" For detailed output of licensecheck see file:
     /home/jsafrane/tmp/845498-cura-networking/licensecheck.txt
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[?]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: cura-networking-0.0.1-1.fc17.x86_64.rpm
          cura-networking-debuginfo-0.0.1-1.fc17.x86_64.rpm
          cura-networking-0.0.1-1.fc17.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint cura-networking-debuginfo
cura-networking-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
cura-networking-0.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /sbin/ldconfig  
    /usr/bin/python  
    cim-server  
    libc.so.6()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libkonkret.so.0()(64bit)  
    libnm-glib.so.4()(64bit)  
    libnm-util.so.2()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    python2  
    rtld(GNU_HASH)  

cura-networking-debuginfo-0.0.1-1.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
cura-networking-0.0.1-1.fc17.x86_64.rpm:
    
    cura-networking = 0.0.1-1.fc17
    cura-networking(x86-64) = 0.0.1-1.fc17
    libcmpiCura_Networking.so()(64bit)  

cura-networking-debuginfo-0.0.1-1.fc17.x86_64.rpm:
    
    cura-networking-debuginfo = 0.0.1-1.fc17
    cura-networking-debuginfo(x86-64) = 0.0.1-1.fc17


The package is good to go. Please improve or remove the test suite and run it in during %check in next releases.
Comment 2 Radek Novacek 2012-08-03 06:24:10 EDT
New Package SCM Request
=======================
Package Name: cura-networking
Short Description: CIM providers for network management
Owners: rnovacek
Branches: f17 f16
InitialCC:
Comment 3 Gwyn Ciesla 2012-08-03 16:04:52 EDT
Git done (by process-git-requests).
Comment 4 Radek Novacek 2012-08-06 05:59:41 EDT
Imported, thanks everyone.
Comment 5 Gwyn Ciesla 2012-08-06 09:15:57 EDT
SCM aready done.

Note You need to log in before you can comment on or make changes to this bug.